package com.zyc.system.service;

import java.util.List;
import com.zyc.system.domain.DictData;

/**
 * 字典数据Service接口
 * 
 * @author zyc
 * @date 2024-12-26
 */
public interface IDictDataService 
{
    /**
     * 查询字典数据
     * 
     * @param id 字典数据主键
     * @return 字典数据
     */
    public DictData selectDictDataById(Integer id);

    /**
     * 查询字典数据列表
     * 
     * @param dictData 字典数据
     * @return 字典数据集合
     */
    public List<DictData> selectDictDataList(DictData dictData);

    /**
     * 新增字典数据
     * 
     * @param dictData 字典数据
     * @return 结果
     */
    public int insertDictData(DictData dictData);

    /**
     * 修改字典数据
     * 
     * @param dictData 字典数据
     * @return 结果
     */
    public int updateDictData(DictData dictData);

    /**
     * 批量删除字典数据
     * 
     * @param ids 需要删除的字典数据主键集合
     * @return 结果
     */
    public int deleteDictDataByIds(Integer[] ids);

    /**
     * 删除字典数据信息
     * 
     * @param id 字典数据主键
     * @return 结果
     */
    public int deleteDictDataById(Integer id);
}
